.starrr {
    display: flex;
    column-gap: 0;
    margin: 0 0 10px;
}
.starrr .icon-star
{
    overflow: hidden;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 22px;
    height: 22px;
}

.starrr .icon-star>i {
    display: inline-block;
    margin: -1px;
    font-style: normal;
    position: relative;
    background: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' shape-rendering='geometricPrecision' text-rendering='geometricPrecision' image-rendering='optimizeQuality' fill-rule='evenodd' clip-rule='evenodd' viewBox='0 0 512 493.17'%3e%3cpath fill-rule='nonzero' fill='%23ffb400' d='M399.906 315.735l25.531 149.782c.073.425.116.85.135 1.267 1.826 19.447-18.652 32.369-35.196 23.536l-133.735-71.529-133.036 71.152c-17.085 9.905-38.993-4.323-35.707-24.615l24.625-149.481L7.449 208.726c-14.28-13.541-7.013-38.338 13.159-41.235l146.867-21.037 67.749-133.341.391-.707c9.074-16.693 33.718-16.645 42.484.78l67.094 133.282 146.163 21.015c15.233 2.22 24.726 18.102 18.919 32.691a23.97 23.97 0 01-5.085 7.869L399.906 315.735zm5.232 153.207l-26.403-154.903.015-.003a10.256 10.256 0 012.762-8.895l108.941-111.432c1.995-2.05.758-5.465-1.996-5.854l-151.481-21.778c-3.213-.469-6.159-2.438-7.731-5.555L259.74 22.447c-1.301-2.587-4.48-2.461-6.107-.173l-70.067 137.907a10.282 10.282 0 01-7.9 5.887l-152.2 21.79c-2.71.38-3.676 3.289-2.281 5.524 36.534 37.193 73.022 74.437 109.532 111.656a10.27 10.27 0 012.942 8.985L108.19 468.59c-.538 3.318 2.832 4.925 5.673 3.279l137.911-73.761a10.247 10.247 0 019.698-.019l138.569 74.113c2.441 1.299 5.152-.568 5.097-3.26z'/%3e%3c/svg%3e") no-repeat;
    background-size: contain;
    width: 22px;
    height: 22px;
}
/*
 * . *starrr .icon-star.active>i {
 * background: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' shape-rendering='geometricPrecision' text-rendering='geometricPrecision' image-rendering='optimizeQuality' fill-rule='evenodd' clip-rule='evenodd' viewBox='0 0 512 492.289'%3e%3cpath fill-rule='nonzero' fill='%23FFC107' d='M393.868 314.547l27.71 162.547a13.5 13.5 0 01-.046 4.067l-.024.119a13.26 13.26 0 01-1.373 3.971 13.22 13.22 0 01-7.843 6.442c-3.241.986-6.87.737-10.091-.985l-145.502-77.825-144.909 77.503a13.048 13.048 0 01-4.332 1.669c-1.48.285-3.052.315-4.628.06l-.136-.027a13.254 13.254 0 01-8.502-5.321 13.247 13.247 0 01-2.336-9.882l26.741-162.275L4.215 198.002a13.304 13.304 0 01-2.707-3.567 13.263 13.263 0 01-1.376-4.276 13.257 13.257 0 012.537-9.832 13.25 13.25 0 018.745-5.175l159.774-22.883L244.819 7.353a13.313 13.313 0 012.462-3.433 13.212 13.212 0 013.44-2.495 13.276 13.276 0 0110.135-.759 13.23 13.23 0 017.696 6.631l72.978 144.982 159.074 22.869c1.363.196 2.72.617 3.987 1.241 1.218.601 2.369 1.4 3.394 2.399a13.259 13.259 0 014.014 9.335 13.256 13.256 0 01-3.755 9.434l-114.376 116.99z'/%3e%3c/svg%3e") no-repeat;
 * }*/
.starrr .icon-star>i>i {
    overflow: hidden;
    position: absolute;
    z-index: 1;
    color: #ffdc7f;
    font-size: 15px;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    top: 0;
    left: 0;
    right: 0;
    bottom: 1px;
    background: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' shape-rendering='geometricPrecision' text-rendering='geometricPrecision' image-rendering='optimizeQuality' fill-rule='evenodd' clip-rule='evenodd' viewBox='0 0 512 492.289'%3e%3cpath fill-rule='nonzero' fill='%23ffb400' d='M393.868 314.547l27.71 162.547a13.5 13.5 0 01-.046 4.067l-.024.119a13.26 13.26 0 01-1.373 3.971 13.22 13.22 0 01-7.843 6.442c-3.241.986-6.87.737-10.091-.985l-145.502-77.825-144.909 77.503a13.048 13.048 0 01-4.332 1.669c-1.48.285-3.052.315-4.628.06l-.136-.027a13.254 13.254 0 01-8.502-5.321 13.247 13.247 0 01-2.336-9.882l26.741-162.275L4.215 198.002a13.304 13.304 0 01-2.707-3.567 13.263 13.263 0 01-1.376-4.276 13.257 13.257 0 012.537-9.832 13.25 13.25 0 018.745-5.175l159.774-22.883L244.819 7.353a13.313 13.313 0 012.462-3.433 13.212 13.212 0 013.44-2.495 13.276 13.276 0 0110.135-.759 13.23 13.23 0 017.696 6.631l72.978 144.982 159.074 22.869c1.363.196 2.72.617 3.987 1.241 1.218.601 2.369 1.4 3.394 2.399a13.259 13.259 0 014.014 9.335 13.256 13.256 0 01-3.755 9.434l-114.376 116.99z'/%3e%3c/svg%3e") no-repeat;
    background-size: cover;
    width: 0;
    transition: width 0.2s cubic-bezier(0, 0, 1, 1);
}
.starrr .rating_text {
    color: #ffb400;
    padding-right: 8px;
    font-weight: bold;
    line-height: 16px;
}
.starrr .starr_text {
    font-size: 13px;
    color: #404040;
    padding-left: 2px;
    line-height: 16px;
}
.starrr .icon-star.active>i>i,
.reviews-form-row .starrr .icon-star:hover>i>i,
.reviews-form-row .starrr:hover .icon-star>i>i {
    width: 100%;
}
.reviews-form-row .starrr .icon-star:hover~.icon-star>i>i {
	width: 0 !important;
}

